org.keycloak.services.managers

## Class AppAuthManager

- java.lang.Object
- - org.keycloak.services.managers.AuthenticationManager
  - - org.keycloak.services.managers.AppAuthManager

-     public class AppAuthManager
      extends AuthenticationManager

  Author:
    Bill Burke, Stian Thorgersen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.services.managers.AuthenticationManager

      `AuthenticationManager.AuthenticationStatus, AuthenticationManager.AuthResult`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.services.managers.AuthenticationManager

      `AUTH_TIME, CURRENT_REQUIRED_ACTION, END_AFTER_REQUIRED_ACTIONS, FORM_USERNAME, KEYCLOAK_IDENTITY_COOKIE, KEYCLOAK_LOGOUT_PROTOCOL, KEYCLOAK_REMEMBER_ME, KEYCLOAK_SESSION_COOKIE, logger, SSO_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppAuthManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthenticationManager.AuthResult` | `authenticateBearerToken(KeycloakSession session, RealmModel realm)`
    `AuthenticationManager.AuthResult` | `authenticateBearerToken(KeycloakSession session, RealmModel realm, javax.ws.rs.core.UriInfo uriInfo, ClientConnection connection, javax.ws.rs.core.HttpHeaders headers)`
    `AuthenticationManager.AuthResult` | `authenticateIdentityCookie(KeycloakSession session, RealmModel realm)`
    `String` | `extractAuthorizationHeaderToken(javax.ws.rs.core.HttpHeaders headers)`

    - ### Methods inherited from class org.keycloak.services.managers.AuthenticationManager

      `actionRequired, authenticateIdentityCookie, backchannelLogout, backchannelLogoutClientSession, backchannelUserFromClient, browserLogout, createIdentityToken, createLoginCookie, createRememberMeCookie, encodeToken, evaluateRequiredActionTriggers, executionActions, expireCookie, expireIdentityCookie, expireRememberMeCookie, expireUserSessionCookie, finishBrowserLogout, finishedRequiredActions, getIdentityCookiePath, getRealmCookiePath, getRememberMeUsername, isActionRequired, isSessionValid, isSSOAuthentication, nextActionAfterAuthentication, redirectAfterSuccessfulFlow, redirectAfterSuccessfulFlow, verifyIdentityToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppAuthManager

          public AppAuthManager()

  - ### Method Detail

    - #### authenticateIdentityCookie

          public AuthenticationManager.AuthResult authenticateIdentityCookie(KeycloakSession session,
                                                                             RealmModel realm)

      Overrides:
        `authenticateIdentityCookie` in class `AuthenticationManager`

    - #### extractAuthorizationHeaderToken

          public String extractAuthorizationHeaderToken(javax.ws.rs.core.HttpHeaders headers)

    - #### authenticateBearerToken

          public AuthenticationManager.AuthResult authenticateBearerToken(KeycloakSession session,
                                                                          RealmModel realm)

    - #### authenticateBearerToken

          public AuthenticationManager.AuthResult authenticateBearerToken(KeycloakSession session,
                                                                          RealmModel realm,
                                                                          javax.ws.rs.core.UriInfo uriInfo,
                                                                          ClientConnection connection,
                                                                          javax.ws.rs.core.HttpHeaders headers)

Copyright © 2016 JBoss by Red Hat. All rights reserved.